/* latin-ext */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 100 900;
  font-stretch: 100%;
  font-display: swap;
  src: url(fonts/roboto_latExt.woff2) format('woff2');
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 100 900;
  font-stretch: 100%;
  font-display: swap;
  src: url(fonts/roboto_latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

body {
    margin: 0;
    padding: 2px;
    background-color: #000030;
    position: relative;
    font-family: "Roboto", Arial, Helvetica, sans-serif;
}

.version {
    color: white;
    font-size: larger;
    margin: 1em;
    float: right;
}

.titleApp {
    background-image: url('images/ControlTotal.png');
    width: 90vw;
    height: 10vw;
    margin: 1em auto;
    background-size: contain;
    background-repeat: no-repeat;
}

h1 {
    color: white;
}

input {
    font-size: 1em;
    font-family: inherit;
}

.boton {
    color: #000030;
    background-color: #ffd700;
    width: fit-content;
    margin-left: 1em;
    padding: 0.6em 1.2em;
    border-radius: 0.3em;
    cursor: pointer;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.bottom-right {
    position: absolute;
    right: 0.3em;
    bottom: 0.3em;
}

.mapaperu {
    margin-top: 1em;
    background-image: url('images/animation.gif');
    width: 320px;
    height: 216px;
    margin: 1em auto;
    border: 4px solid #ffd700;
}

.login {
    background-color: #9E2A2B;
    color: white;
    border: 0.3em solid white;
    border-radius: 0.3em;
    padding: 1em 1em 3em 1em;
    position: absolute;
    top: 3em;
    display: none;
}

i.fas.fa-eye {
    position: absolute;
    right: 1.5em;
    color: black;
    margin-top: 0.2em;
}

.error-text {
    display: none;
    background: #fff3b0;
    color: red;
    font-size: large;
    margin: 0.3em;
    padding: 1em;
}

label {
    display: block;
}

header {
    background-color: #000030;
    color: white;
    position: fixed; 
    top: 0; 
    width: 100%; 
    height: 3em;
    padding: 2px;
}

.mnElem {
	min-width: 45px;
	padding: 2px 5px 2px 5px;
	cursor: pointer;
	display: inline-block;
	font-size: 1em;
	text-align: center;
}

.selElem {
	background: #E6B800;
	color: black;
}

@media (hover: hover) and (pointer: fine) {
    .mnElem:hover {
	    background-color: lightgray;
        color: black;
    }
}

.mnRight {
	position: absolute;
	display: inline-block;
	right: 0px;
}

.salida {
    position: absolute;
    background: #000030;
    padding: 1em 1em;
    top: 2em;
    right: 0;
    color: white;
    z-index: 3;
    cursor: pointer;
    display: none;    
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.showSalida {
    display: block;
}

.selectores {
	display: flex;
    justify-content: space-between;
    padding: 0 5px;
}

#dtpDate {
	display: inline;	
	font-size: 0.9em;
	text-align: center;
	width: fit-content;
}

.btDate {
	display: inline;
	cursor: pointer;
	text-align: center;
	width: 30px;
	font-size: larger;
}

article {
    padding-top: 3em;
    padding-bottom: 3em;
    background-color: #f2f2f2;
    overflow: hidden;
}

.miTabla th {
	text-align: center;
	padding: 8px 5px;
	font-size: smaller;
	cursor: pointer;
    background: #a6a6a6!important;
}

.tblEdit th {
   font-size: smaller;
   text-align: left;
}

.miTabla td {
	text-align: left;
	padding-left: 5px;
	border: 1px solid lightgrey;
	cursor: pointer;
}

.otraTabla td {
    text-align: right;
}

.actualRow {background-color: yellow!important;}

/* Styles every even row (2, 4, 6, etc.) */
/* .miTabla tr:nth-child(odd) {
  background-color: #ddeaee;
} */

.miTabla {
    width: 100%;
}

.fila-par {
    background-color: #e9dbc9;
}   

.tabla69 td{text-align: right;}
.tabla69 th{background: #87b7c4!important;}

aside {
    position: fixed;
    top: 12em;
    left: 1.5em;
    z-index: 3;
    background: #F8F1E3;
    font-size: 0.8em;
    display: none;
    border: 3px solid #ffd700;
    border-radius: 12px;
    box-shadow: 30px 30px 60px rgba(0, 0, 48, 0.8);
}

section {
    display: none;
    position: fixed;
    top: 12em;
    left: 12em;
    width: 8em;
    height: 15em;
    background: lightgray;
    border: 0.066em solid black;
    z-index: 4;
}

.asigSupl {
    position: absolute;
    top: 8.5em;
    left: 0.5em;
    border: 1px solid gray;
    padding: 0.33em;
    background: black;
    color: white;
    border-radius: 0.2em;
    cursor: pointer;
}

.suplentes {
    background: white;
    width: 5em;
    height: 13.3em;
    border: 0.0166em solid black;
    position: absolute;
    right: 0.5em;
    top: 1.2em;
    overflow: scroll;
}

.suplente {
    border: 0.066em solid lightgray;
    padding: 0.133em 0.333em;
    cursor: pointer;
}

.supFrz {
    color: #990000;
    display: none;
}

.verFrz {
    position: absolute;
    background: #f0f0f0;
    margin: 0.33em;
    color: #990000;
    font-size: 1em;
    padding: 0.2em 0.5em;
    border: 1px solid darkslategray;
}

.checked {
    background-color: #335c67;
    color: white;
}

.edTitle {
    font-weight: bold;
    padding: .5em 1em;
    background-color: #000030;
    color: #ffd700;
    border-radius: 9px 9px 0 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.addButton {
    cursor: pointer;
    background-image: url(images/add.png);
    width: 1.5em;
    height: 1.5em;
    background-size: contain;
}

.closeDlg {
    position: absolute;
    right: 0.13em;
    top: 0.13em;
    font-size: 1.5em;
    color: #e6e6e6;
    cursor: pointer;
}

.closeDlg2 {
    position: absolute;
    right: 1px;
    top: 1px;
    font-size: 1em;
    cursor: pointer;
}

.asideCont {
    padding: 0 1em 1em 1em;
}

.asideCont select {
    font-size: 1em;
}

input[name='Iniciales']{
    width: 4em;
}

input[name='Sacd'], input[name='SacdAtiende']{
    width: 4em;
}

input[name='Fecha'],input[name='Desplazada']{
    width: 7em;
    color: inherit;
}

input[type='Time']{
    width: 5em;
}

input[name='Dato']{
    width: 100%;
}

.modForm label {
    display: inline-block;
    font-size: smaller;
}

.modForm {
    position: relative;
}

.respText {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;  
    object-fit: contain;
    opacity: 0.7;
}

.botones {
    display: flex;
    justify-content: space-between;
    margin-top: 0.5em;    
    cursor: not-allowed;    
}

.modBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffd700;
    border: 0.066em solid gray;
    padding: 0.2em 0.5em;
    width: 3em;
    color: #000030;
    border-radius: 0.33em;
    cursor: pointer;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

#mailTo {
    background-repeat: no-repeat;
    background-position: center;
    min-height: 2em;
}

.gray {
    background-image: url(images/mail_gray.png)!important;
}

.edElim {
    background-image: url(images/eliminado.png);
    width: 18em;
    height: 18em;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 1em;
    left: 0;
    display: none;
}

.edModif {
    background-image: url(images/modificado.png);
    width: 18em;
    height: 18em;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 1em;
    left: 0;
    display: none;
}

.edAdded {
    background-image: url(images/anadido.png);
    width: 18em;
    height: 18em;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 1em;
    left: 0;
    display: none;
}

summary {
    position: fixed;
    display: none;
    bottom: 3em;
    left: 1em;
    height: 20em;
    width: 20em;
    padding: 0.5em;
    background: #000030;
}

.ausentesLima {
    width: 18em;
    margin: auto;
    height: 18em;
    background: #fff3b0;
    padding: 1em;
}

.ausentesLima table {
    font-size: 0.7em;
}

.ausentesLima td {
    padding: 0 0.6em;
}

footer {
    position: fixed;
    color: white;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3em;
    background: #000030;
    display: flex;
    gap: 0.5em;
}

.bt-noOp {
    opacity: 0.2;
    pointer-events: none!important;
}

.showInactives, .showAbsents {
    border: 0.1em solid gray;
    border-radius: 0.2em;
    cursor: pointer;
    margin-top: 2px;
    width: 2.5em;
    height: 2.5em;
    background-image: url(images/showAll-40.png);
    background-size: 2.4em 2.4em;
    background-color: #f2f2f2;
}

.showInactives.pressed {
    transform: scale(0.85);
    background-color: #c0c0c0;
    border-color: #444;
    box-shadow: inset 0 4px 8px rgba(0, 0, 0, 0.5);
    filter: brightness(0.75) contrast(1.1);
}

.showAbsents {
    left: 3em;
    background-image: url(images/showAbsents.png);
}

.show {
    display: table-row!important;
}

.showblock {
    display: block!important;
}

.mail {
    width: 2.5em;
    height: 2.5em;
    background-size: contain;
    position: absolute;
    top: 0;
    right: 0.3em;
    pointer-events: none;
}

.white {
    background-image: url(images/eMail.gif);
    pointer-events: all;
    cursor: pointer;
}

.yellow {
    background-image: url(images/mail_yellow.png)!important;
}

.red {
    background-image: url(images/mail_red.png)!important;
}

.green {
    background-image: url(images/mail_green.png)!important;
}

.act_sf, .deMujeres {
    color: #b15039;
}

.eModif {
    color: blue;
}

.eNoActiv {
    color: gray;
    text-decoration: line-through;
    display: none;
}

.eDespl {
    color: green;
}

.eSupl {
    font-style: italic;
}

#eSup {
    cursor: pointer;
}

.eForz {
    background-color: #e09f3e!important;
}

.eRed {
    background-color: red!important;
    font-style: normal;
    color: white;
}

.hayCruce {
    background-color: #990000!important;
    color: white!important;
}

.advCruce {
    display: none;
    font-size: larger;
    align-content: center;
}

.disabled {
    background-color: #ffffff;
    color: #c0c0c0;
    pointer-events: none;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.notVisible {
    display: none!important;
}

.modLabel {
    display: inline;
    background: #0000fb;
    color: white;
    padding: 1px 5px;
}

.confirmacion {
    display: none;
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: black;
}

.confirmacion .titulo {
    padding-left: 0.33em;
    color: white;
}

.YES {
    margin-left: 0.33em;
    background-image: url(images/mail_yes.png);
    display: inline-block;
    width: 50px;
    height: 32px;
    cursor: pointer;
}

.NO {
    margin-left: 0.33em;
    background-image: url(images/mail_no.png);
    display: inline-block;
    width: 58px;
    height: 32px;
    cursor: pointer;
}

.activ0 {
	background: url(images/cross.png) no-repeat;
	background-position: center;
}

.activ1 {
	background: url(images/tick.png) no-repeat;
	background-position: center;
}

.placa2 {
	background: url(images/par.png) no-repeat;
	background-position: center;
}

.placa1 {
	background: url(images/impar.png) no-repeat;
	background-position: center;	
}

.wait {
    display: none;
    position: absolute;
    z-index: 4;
}

.warning {
    display: none;
    width: 100%;
    HEIGHT: 100%;
    position: fixed;
    top: 0;
    background: #f2f2f2e0;
    z-index: 5;
}

.warning-close {
    background: lightgray;
    width: fit-content;
    padding: 0.5em 0.8em;
    font-weight: bold;
    border: 1px solid #050505;
    cursor: pointer;
}

.warning-cont {
    width: 18em;
    min-height: 12em;
    background: red;
    margin: auto;
    margin-top: 5em;
    border: 2px solid black;
}

.warning-text {
    padding: 1em;
    min-height: 8em;
    background: #f2f2f2;
    margin: 1em;
    border: 1px solid gray;
    overflow-y: scroll;
}

.filaDesplazada {
    color: green;
}

@media only screen and (min-width: 600px) and (min-height: 900px) {
	body {font-size: 24px;}
}

@media only screen and (min-width: 900px) and (min-height: 1200px) {
	body {font-size: 32px;}
}

@media screen and (min-width: 1200px) and (max-height: 1000px) and (orientation: landscape) {
	body {font-size: 18px;}
}

@media screen and (min-width: 1900px) and (min-height: 900px) and (orientation: landscape) {
	body {font-size: 16px;}
}
